module Procedures::Backup
  module Online
    class IopVulnerabilityDB < ForemanMaintain::Procedure
      metadata do
        description 'Backup IoP Vulnerability database'
        tags :backup
        label :backup_online_iop_vulnerability_db
        for_feature :iop_vulnerability_database
        preparation_steps { Checks::IopVulnerability::DBUp.new }
        param :backup_dir, 'Directory where to backup to', :required => true
      end

      def run
        with_spinner('Getting IoP Vulnerability DB dump') do
          feature(:iop_vulnerability_database).dump_db(File.join(@backup_dir,
            'iop_vulnerability.dump'))
        end
      end
    end
  end
end
